#ifndef FACT_Tools
#define FACT_Tools

#include <string>

namespace Tools
{
    std::string Format(const char *fmt, va_list &ap);
    std::string Form(const char *fmt, ...);
    std::string Trim(const std::string &str);
    std::string TrimQuotes(const std::string &str);
    std::string Wrap(std::string &str, size_t width=78);
}

#endif
